Package org.eclipse.graphiti.features.context.impl

# Class MoveContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.features.context.impl.LocationContext
org.eclipse.graphiti.features.context.impl.MoveContext

All Implemented Interfaces:
  `IContext`, `ILocationContext`, `IMoveContext`, `IPropertyBag`

Direct Known Subclasses:
  `MoveBendpointContext`, `MoveShapeContext`

public class MoveContext extends LocationContext implements IMoveContext
The Class MoveContext.

## Constructor Summary

Constructors
Constructor
Description
`MoveContext()`
Instantiates a new move context.
`MoveContext(int x, int y)`
Creates a new `MoveContext`.

## Method Summary

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY, toString`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### MoveContext

public MoveContext(int x, int y)
Creates a new `MoveContext`.

Parameters:
  `x` - the x
  `y` - the y

### MoveContext

public MoveContext()
Instantiates a new move context.